SynqedDocs
API referenceDocuments

Retrieve a document

GET
/documents/{id}

Authorization

bearerAuth
headerAuthorizationBearer <sk_live_<region>_<secret>>

Path Parameters

id*string

Object id.

Match^(?!\.\.?$)(?!__.*__$)[^/]+$
Length1 <= length <= 200

Response Body

Success

application/json
  1. response
id*string
object*string
source*string

Your system label, as pushed.

external_id*string
title*string
body*string
url*string|null
metadata*
created_by*string|null
created_at*|null
updated_at*|null
Example Request
curl -X GET 'https://api.synqed.dev/v1/documents/string'
Example Response
{  "id": "string",  "object": "document",  "source": "string",  "external_id": "string",  "title": "string",  "body": "string",  "url": "string",  "metadata": {    "property1": null,    "property2": null  },  "created_by": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}